### Function

# GimpUi prop_int_radio_frame_new

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_prop_int_radio_frame_new (
      GObject* config,
      const gchar* property_name,
      const gchar* title,
      GimpIntStore* store
    )

#### Description [src]

Creates a group of radio buttons which function to set and display the specified int property. If `title` is `NULL`, the `property_name`‘s nick will be used as label of the returned frame.

Available since: 3.0

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of enum property controlled by the radio buttons.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  Label for the frame holding the buttons.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`store`

  Type: `GimpIntStore`

  `GimpIntStore` holding list of labels, values, etc.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A `GimpFrame` containing the radio buttons.

The caller of the function takes ownership of the data, and is responsible for freeing it.